/*
** 1998-05-31 -	Header for the GUI configuration main module.
*/

/* These are flags useful in calls to cfg_set_flags(). */
#define	CFLG_RESCAN_LEFT	(1<<0)
#define	CFLG_RESCAN_RIGHT	(1<<1)
#define	CFLG_RESCAN_BOTH	(CFLG_RESCAN_LEFT | CFLG_RESCAN_RIGHT)
#define	CFLG_REDISP_LEFT	(1<<2)
#define	CFLG_REDISP_RIGHT	(1<<3)
#define	CFLG_FLUSH_ICONS	(1<<4)
#define	CFLG_REBUILD_MIDDLE	(1<<5)
#define	CFLG_REBUILD_BOTTOM	(1<<6)
#define	CFLG_RESET_MOUNT	(1<<7)
#define	CFLG_RESET_KEYBOARD	(1<<8)

/* These are flags returned by cfg_load_config(). */
#define	CLDF_NONE_FOUND		(1<<0)		/* There was no config available. */
#define	CLDF_WINDOW_POSSIZE	(1<<1)		/* Main window position/size should be set. */

int		cfg_gui(MainInfo *min);

void		cfg_save_all(MainInfo *min);

guint32		cfg_load_config(MainInfo *min);

void		cfg_set_flags(guint32 flags);

void		cfg_modified_set(MainInfo *min);
void		cfg_modified_clear(MainInfo *min);
